/*
 * #%L
 * BroadleafCommerce Framework
 * %%
 * Copyright (C) 2009 - 2013 Broadleaf Commerce
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * #L%
 */
package org.broadleafcommerce.core.store.dao;

import java.util.List;

import org.broadleafcommerce.core.store.domain.Store;

public interface StoreDao {

    public Store readStoreById(Long id);

    public Store readStoreByStoreName(final String storeName);

    /**
     * @deprecated use {@link #readStoreByStoreName(String)} instead
     *
     * @param storeCode
     * @return
     */
    @Deprecated
    public Store readStoreByStoreCode(final String storeCode);

    public List<Store> readAllStores();

    public List<Store> readAllStoresByState(final String state);

}
